Class UmlClassMember

Declaration :

- C++ : class UmlClassMember : public UmlBaseClassMember
- Java : abstract class UmlClassMember extends UmlBaseClassMember

Directly inherited by : UmlBaseAttribute UmlBaseClass UmlBaseOperation UmlBaseRelation

This class globaly manages class's relations, attributes, operations
and sub-classes
You can modify it as you want (except the constructor)

Artifact : UmlClassMember

Operation UmlClassMember

Declaration :

- C++ : public: UmlClassMember(void * id, const QCString & n) : UmlBaseClassMember(id, n)
- Java : public UmlClassMember(long id, String n)

All public operations : apply , children , childrenVisible , cppDecl , cppVisibility , defined_ , description , identifier_ , idlDecl , isClassMember , isMarked , isToolRunning , isVolatile , isWritable , javaAnnotations , javaDecl , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_CppDecl , set_CppVisibility , set_Description , set_IdlDecl , set_isClassMember , set_isMarked , set_isVolatile , set_JavaAnnotations , set_JavaDecl , set_Name , set_PropertyValue , set_Stereotype , set_Visibility , stereotype , supportFile , unload , unload , visibility